<template lang="pug">
.row.x-comments
  .col-12(key='results')
    BaseCard
      template(v-slot:header='')
        .d-flex.justify-content-between.align-items-center
          h5 LogBook
          .ml-auto.clickable(@click='setEdit(true)' v-if='canEdit && !inEdit')
            kbd.keyHint.mr-2(v-if="showKeyHints") E
            i.fa.fa-cog
          .ml-auto.clickable(@click='setEdit(false)' v-if='canEdit && inEdit')
            kbd.keyHint.mr-2(v-if="showKeyHints") Esc
            i.fa.fa-times
      li(key='ctrl')
        .row.justify-content-between
          .col-auto
            nav.justify-content-center(aria-label='Pagination')
              ul.pagination
                li.page-item(:class="{ disabled: page === 0 }")
                  button.page-link(type='button'  @click="goToPage(page - 1)"
                    :disabled='page === 0') #[i.fa.fa-angle-left]
                li.page-item()
                  button.page-link(type='button' @click="goToPage(page + 1)") #[i.fa.fa-angle-right]
          BaseAnimationBlock
            .col-auto.align-content-center(v-if="loading" key='loader')
              i.align-bottom.fa.fa-spinner.fa-pulse
            .btn-group.btn-group-sm.shadow-sm.border.rounded(v-else key='btns' role='group')
              template(v-for='num, name in { EAR1: 1, EAR2: 2, EAR3: 3 }')
                button.btn.x-sample.btn-primary(v-if="earNumber == num" type='button') {{ name }}
                button.btn.x-sample.btn-light.text-muted(v-else @click='setEarNumber(num)' type='button') {{ name }}
          .col-auto.d-flex
            BaseSelect.x-entries(v-model.number='max' :inEdit='true' :noEditIcon='true')
              template(v-slot:options='')
                option(:value='20') 20
                option(:value='40') 40
                option(:value='100') 100
            router-link.btn.btn-outline-danger.ml-1.x-admin(v-if='inEdit && !isAdmin && $store.getters.canAdmin' :to='"/admin" + $route.fullPath' title='admin')
              i.fa.fa-key
      li.p-0(v-if='!loading' key='rows')
        table.table.table-sm.table-hover
          thead.bg-light.table-head
            tr
              th.text-center RunNumber
              th.text-center.d-md-table-cell.d-none User
              th.text-center Date
              th Comment
          tbody
            tr(:key='m.id' v-for='m in rows')
              td.text-center
                router-link.text-primary.clickable(:to='getRoute("/runs/" + m.runNumber)') {{ m.runNumber }}
              td.text-center.d-md-table-cell.d-none
                UserLink(:user='getUser(m.userId)' :id='m.userId')
              td.text-center.text-nowrap.d-xl-table-cell.d-none {{ m.date | dateTime }}
              td.text-center.text-nowrap.d-xl-none {{ m.date | dateTime("yyyy-LL-dd") }}
              td.w-100
                .d-flex
                  BaseMarkdownViewer(v-model='m.comments' :options='{ html: true, linkify: true, typographer: true }')
                  BaseAnimationBlock
                    div.ml-auto(v-if='inEdit && (isAdmin || (isCurrentUser(m.userId)))')
                      button.btn.btn-primary.btn-sm(@click='doEdit(m)' title='edit')
                        i.fa.fa-pen
  EditCommentDialog(ref='editDialog')
</template>
<script>

export { default } from './Comments.vue.js';

</script>
